# $Revision: 1.42 $, $Date: 2010/07/09 08:07:24 $
#
# todo:
# - mono bindings (build crashes on ppc)
#
# Conditional build:
%bcond_without	apidocs		# disable gtk-doc
%bcond_without	static_libs	# don't build static library
#
Summary:	Bluetooth GObject based library
Summary(pl.UTF-8):	Biblioteka do programowania urządzeń Bluetooth
Name:		libbtctl
Version:	0.10.0
Release:	7
License:	GPL
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libbtctl/0.10/%{name}-%{version}.tar.bz2
# Source0-md5:	83d5f90efb2b26d1bd12a668940d02ba
Patch0:		%{name}-make-jN.patch
Patch1:		%{name}-newapi.patch
URL:		http://usefulinc.com/software/gnome-bluetooth/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	bluez-libs-devel >= 2.25
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.12.4
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.7}
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libtool
BuildRequires:	openobex-devel >= 1.2
BuildRequires:	pkgconfig
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	python-pygtk-devel >= 2.10.3
BuildRequires:	rpm-pythonprov
Requires:	bluez-libs >= 2.25
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains a library to control Bluetooth devices.

%description -l pl.UTF-8
Ten pakiet zawiera bibliotekę do kontrolowania urządzeń Bluetooth.

%package devel
Summary:	Header files for libbtctl library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libbtctl
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	bluez-libs-devel >= 2.25
Requires:	glib2-devel >= 1:2.12.4
Requires:	openobex-devel >= 1.2

%description devel
Header files for libbtctl library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libbtctl.

%package static
Summary:	Static libbtctl library
Summary(pl.UTF-8):	Statyczna biblioteka libbtctl
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libbtctl library.

%description static -l pl.UTF-8
Statyczna biblioteka libbtctl.

%package -n python-btctl
Summary:	Python bindings for libbtctl library
Summary(pl.UTF-8):	Wiązania dla języka Python biblioteki libbtctl
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}
%pyrequires_eq	python-libs

%description -n python-btctl
Static libbtctl library.

%description -n python-btctl -l pl.UTF-8
Wiązania dla języka Python biblioteki libbtctl.

%package apidocs
Summary:	libbtctl API documentation
Summary(pl.UTF-8):	Dokumentacja API libbtctl
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
libbtctl API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API libbtctl.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--disable-mono \
	--%{?with_apidocs:en}%{!?with_apidocs:dis}able-gtk-doc \
	--with-html-path=%{_gtkdocdir} \
	%{!?with_static_libs:--disable-static}
%{__make} \
	pydir=%{py_sitedir}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	HTML_DIR=%{_gtkdocdir} \
	pydir=%{py_sitedir}

rm -f $RPM_BUILD_ROOT%{py_sitedir}/*.{la,a}

%{!?with_apidocs:rm -rf $RPM_BUILD_ROOT%{_gtkdocdir}}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_libdir}/libbtctl.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libbtctl.so.4

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libbtctl.so
%{_libdir}/libbtctl.la
%{_includedir}/%{name}
%{_pkgconfigdir}/libbtctl.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libbtctl.a
%endif

%files -n python-btctl
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/btctl.so

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libbtctl
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libbtctl.spec,v $
Revision 1.42  2010/07/09 08:07:24  arekm
- release 7

Revision 1.41  2009/11/29 00:58:49  sparky
- BR: docbook-dtd412-xml, gettext-devel

Revision 1.40  2009/03/13 22:51:49  hawk
- release 6

Revision 1.39  2009/02/04 12:43:26  hawk
- release 5

Revision 1.38  2008/10/06 14:07:55  megabajt
- release 4

Revision 1.37  2008/09/06 15:11:39  megabajt
- added -newapi.patch
- more verbose files
- release 3

Revision 1.36  2008/08/31 17:01:53  arekm
- release 2

Revision 1.35  2008-02-04 23:59:32  patrys
- 0.10.0

Revision 1.34  2007-12-18 23:35:12  zbyniu
- patch for repair parallel make

Revision 1.33  2007-09-28 13:37:08  sls
- __make -j1 (libtool: link: cannot find the library `libbtctl.la')

Revision 1.32  2007/07/12 21:18:10  patrys
- 0.9.0

Revision 1.31  2007/05/19 16:07:26  megabajt
- added apidocs bcond and subpackage
- release 2

Revision 1.30  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.29  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.28  2006/11/29 22:40:53  megabajt
- up to 0.8.2

Revision 1.27  2006/10/23 16:17:26  grzegol
- 0.8.1; new soname

Revision 1.26  2006/09/20 19:25:03  grzegol
- 0.8.0

Revision 1.25  2006/08/29 08:10:08  wiget
- rel 3

Revision 1.24  2006/06/24 16:41:42  freetz
- rel.2, bleeding edge deps

Revision 1.23  2005/12/26 16:58:23  wolvverine
- version 0.6.0
- STBR

Revision 1.22  2005/08/21 10:19:32  wiget
- updated to 0.5.0

Revision 1.21  2005/06/15 21:14:59  witekfl
- added header "Conditional build:"

Revision 1.20  2005/06/15 17:30:50  witekfl
- s/bcond_without static/bcond_without static_libs/

Revision 1.19  2005/06/15 16:39:21  witekfl
- added bcond_without static

Revision 1.18  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.17  2004/12/24 23:41:49  qboosh
- -devel R: glib2-devel,openobex-devel

Revision 1.16  2004/12/23 22:01:57  saq
- missing BR
- release 5

Revision 1.15  2004/12/23 21:43:34  saq
- release 4 for rebuild with python 2.4

Revision 1.14  2004/11/27 19:01:23  saq
- massive attack: added missing python-devel epoch do BR

Revision 1.13  2004/11/14 12:46:49  havner
- rel 3

Revision 1.12  2004/07/28 08:03:14  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.11  2004/07/25 12:16:22  qboosh
- disable mono for now (unpackaged anyway, build crashes on ppc)
- release 2

Revision 1.10  2004/07/23 19:32:41  qboosh
- R: bluez-libs with sdp interface in libbluetooth
- fixed build on amd64, release 1

Revision 1.9  2004/07/23 14:24:57  qboosh
- somebody forgot to... updated to 0.4.1, use bluez-libs w/o libsdp

Revision 1.8  2004/06/19 16:35:24  qboosh
- BR: ac,lt

Revision 1.7  2004/06/11 23:42:39  wrobell
- ver. 0.4.0
- added python package
- added developer documentation

Revision 1.6  2004/04/11 14:49:39  qboosh
- use libsdp from bluez-libs >= 2.6

Revision 1.5  2004/03/13 20:26:38  qboosh
- BR: automake, strict internal deps

Revision 1.4  2004/03/12 22:33:59  andree
- copy config.sub

Revision 1.3  2003/09/04 14:16:35  wrobell
- rel. 1 /thanks qboosh, i have to sleep more.../

Revision 1.2  2003/09/04 14:13:54  qboosh
- fixed defattr, removed empty NEWS from doc
- added descriptions (not from README - it's a little misleading...)
- BR: glib2-devel, pkgconfig

Revision 1.1  2003/09/04 13:39:18  wrobell
- based on template-lib.spec
